<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.xujun</groupId>
        <artifactId>xtools-boot-db</artifactId>
        <version>5.0.0</version>
    </parent>
    <artifactId>xtools-boot-db-mybatis</artifactId>

    <!-- 依赖 -->
    <dependencies>
        <!-- xtools-boot begin -->
        <!-- xtools-boot-core -->
        <dependency>
            <groupId>org.xujun</groupId>
            <artifactId>xtools-boot-core</artifactId>
        </dependency>
        <!-- xtools-boot-log -->
        <dependency>
            <groupId>org.xujun</groupId>
            <artifactId>xtools-boot-log</artifactId>
        </dependency>
        <!-- xtools-boot-thread -->
        <dependency>
            <groupId>org.xujun</groupId>
            <artifactId>xtools-boot-thread</artifactId>
        </dependency>
        <!-- xtools-boot end -->

        <!-- SpringBoot begin -->
        <!-- MyBatis -->
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
        </dependency>
        <!-- SpringBoot end -->

        <!-- MySQL 驱动 -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>

        <!-- Druid(数据库连接池) -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-4-starter</artifactId>
        </dependency>

        <!-- fastjson2 -->
        <dependency>
            <groupId>com.alibaba.fastjson2</groupId>
            <artifactId>fastjson2</artifactId>
        </dependency>

        <!-- servlet-api -->
        <dependency>
            <groupId>jakarta.servlet</groupId>
            <artifactId>jakarta.servlet-api</artifactId>
            <scope>provided</scope>
        </dependency>
    </dependencies>

</project>